### Method

# WebKit2 FormSubmissionRequest get_text_fields

deprecated: 2.20.

#### Declaration [src]

    GHashTable*
    webkit_form_submission_request_get_text_fields (
      WebKitFormSubmissionRequest* request
    )

#### Description [src]

Get the values of the text fields contained in the form associated to `request`.

Get a `GHashTable` with the values of the text fields contained in the form associated to `request`. Note that fields will be missing if the form contains multiple text input elements with the same name, so this function does not reliably return all text fields.

Deprecated since: 2.20.

Use `webkit_form_submission_request_list_text_fields()` instead.

#### Return value

Type: `GHashTable`

A `GHashTable` with the form text fields, or `NULL` if the form doesn’t contain text fields.

The returned data is owned by the instance.
The return value can be `NULL`.